<!doctype html>
<html>
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="description" content="This software development tool generates reverse engineered UML class diagrams from the Java source code in an Eclipse project.  Java class diagrams allow programmers to better understand the object oriented structure in the source code. To reverse engineer uml diagrams, and reverse engineer a Java class diagram in particular the chances of a meaningful visualization are enhanced if the product is dedicated to Java reverse engineering. Agile methods advocate that there be no separate documentation beyond the source code, therefore of all modes of use of UML across methodologies reverse engineered class diagrams are the best fit for agile." />
<meta name="author" content="">
<link rel="shortcut icon" type="image/x-icon" href="/favicon.ico">
<title>UML Reverse Engineering for Java in Eclipse</title>
<!--reset styleshet-->
<link href="../assets/css/html5reset-1.6.1.css" rel="stylesheet" type="text/css">
<!-- Custom styles -->
<link href="../assets/css/fs-Styles.css" rel="stylesheet">
<!-- google fonts-->
<link href='http://fonts.googleapis.com/css?family=Lato:400,700|Raleway:400,700|Oswald:400,700,300' rel='stylesheet' type='text/css'>
<link href='http://fonts.googleapis.com/css?family=Courgette' rel='stylesheet' type='text/css'>
<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
<!--[if lt IE 9]>
    <script src="assets/js/html5shiv.js"></script>
    <script src="assets/js/respond.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../assets/js/gallery/jquery.min.js"></script>
<script>
	$(document).ready(function() {
		$(".form-control").click(function() {
			$(this).select();
		});
	});
</script>
<jsp:include page="/jspincludes/google-analytics.jsp" />
</head>
<body class="home bg6">
	<jsp:include page="/jspincludes/google-tag-manager.jsp" />
	<div id="wrap">
		<div class="row">
			<div id="header" class="container">
				<a href="../index.html" class="logo"><img src="../assets/img/agileJ-Logo.png" alt="AgileJ"></a>
				<div class="search pull-right">
					<script>
						(function() {
							var cx = '013387191294646946655:hhfwefi65ag';
							var gcse = document.createElement('script');
							gcse.type = 'text/javascript';
							gcse.async = true;
							gcse.src = (document.location.protocol == 'https:' ? 'https:'
									: 'http:')
									+ '//www.google.com/cse/cse.js?cx=' + cx;
							var s = document.getElementsByTagName('script')[0];
							s.parentNode.insertBefore(gcse, s);
						})();
					</script>
				</div>
				<div id="banner" class="bannerText bannerText4"></div>
			</div>
		</div>
		<div class="clearfix"></div>
		<div class="row plainTextContainer">
			<div class="container userGuide Sview">
				<div class="pull-left">
					<img src="../assets/img/AgileJ-Structure-View.png" alt="AgileJ Structure View">
				</div>
				<div class="pull-right">
					<h1>This is the update site for AgileJ StructureViews</h1>
					<input type="text" class="form-control" value="http://www.agilej.com/structureViews">
					<p>If you point a browser at this URL you just see this page.</p>
					<p>From inside Eclipse you can select Help - Install New Software and enter http://wwww.agilej.com/structureViews</p>
					<p>Alternatively, you can drag the install button below to a running instance of Eclipse.</p>
					<p>
						<a href="http://marketplace.eclipse.org/marketplace-client-intro?mpc_install=335" title="Drag and drop into a running Eclipse Indigo workspace to install JFormDesigner - Swing GUI Designer"> <img src="http://marketplace.eclipse.org/sites/all/modules/custom/marketplace/images/installbutton.png" />
					</p>
				</div>
			</div>
		</div>
		<div class="clearfix"></div>
	</div>
	<jsp:include page="/jspincludes/footer.jsp" />
</body>
</html>